[ARVADOS] updated: 456967e1991ea8adc30038b60f5c34703b47b694

git at public.curoverse.com git at public.curoverse.com
Tue Jun 9 10:29:06 EDT 2015


Summary of changes:
 doc/install/install-compute-node.html.textile.liquid | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

       via  456967e1991ea8adc30038b60f5c34703b47b694 (commit)
       via  6a6cd4516f0753f8bbe15265f299e83860ff7174 (commit)
      from  a9c1ba7bffe05b9231102dcad33546b39a59e823 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 456967e1991ea8adc30038b60f5c34703b47b694
Merge: a9c1ba7 6a6cd45
Author: Brett Smith <brett at curoverse.com>
Date:   Tue Jun 9 10:26:44 2015 -0400

    Merge branch '6152-compute-node-no-arv-wip'
    
    Closes #6152, #6256.


commit 6a6cd4516f0753f8bbe15265f299e83860ff7174
Author: Brett Smith <brett at curoverse.com>
Date:   Fri Jun 5 15:46:08 2015 -0400

    6152: Use Python SDK for compute node installation.
    
    This eliminates an otherwise-needless dependency on `arv` and the
    entire Ruby stack.

diff --git a/doc/install/install-compute-node.html.textile.liquid b/doc/install/install-compute-node.html.textile.liquid
index dd64cd0..9a64ac3 100644
--- a/doc/install/install-compute-node.html.textile.liquid
+++ b/doc/install/install-compute-node.html.textile.liquid
@@ -72,8 +72,14 @@ Then execute this script to create a compute node object, and set up a cron job
 <notextile>
 <pre><code>
 #!/bin/bash
+set -e
 if ! test -f /root/node.json ; then
-    arv node create --node "{\"hostname\": \"$(hostname)\"}" > /root/node.json
+    python - <<EOF
+import arvados, json, socket
+node = arvados.api('v1').nodes().create(body={'hostname': socket.gethostname()}).execute()
+with open('/root/node.json', 'w') as node_file:
+    json.dump(node, node_file, indent=2)
+EOF
 
     # Make sure /dev/fuse permissions are correct (the device appears after fuse is loaded)
     chmod 1660 /dev/fuse && chgrp fuse /dev/fuse

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list